Bug 991237 - SELinux is preventing /usr/bin/touch from 'write' accesses on the file /var/log/shorewall-init.log.
SELinux is preventing /usr/bin/touch from 'write' accesses on the file /var/l...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-01 19:26 EDT by Raman Gupta
Modified: 2013-08-04 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-69.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-04 19:00:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Raman Gupta 2013-08-01 19:26:05 EDT
Description of problem:
Restarted the shorewall service using systemctl.
SELinux is preventing /usr/bin/touch from 'write' accesses on the file /var/log/shorewall-init.log.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that touch should be allowed write access on the shorewall-init.log file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep touch /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:shorewall_t:s0
Target Context                system_u:object_r:shorewall_log_t:s0
Target Objects                /var/log/shorewall-init.log [ file ]
Source                        touch
Source Path                   /usr/bin/touch
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.21-11.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-66.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   4
First Seen                    2013-08-01 05:42:49 EDT
Last Seen                     2013-08-01 19:20:20 EDT
Local ID                      d4282b7b-edbb-4853-8fc9-f5e99bcd0f4a

Raw Audit Messages
type=AVC msg=audit(1375399220.768:1890): avc:  denied  { write } for  pid=23880 comm="touch" name="shorewall-init.log" dev="dm-3" ino=15466596 scontext=system_u:system_r:shorewall_t:s0 tcontext=system_u:object_r:shorewall_log_t:s0 tclass=file

type=SYSCALL msg=audit(1375399220.768:1890): arch=x86_64 syscall=utimensat success=no exit=EACCES a0=ffffffffffffff9c a1=7fff15d98e7d a2=0 a3=0 items=0 ppid=23877 pid=23880 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=touch exe=/usr/bin/touch subj=system_u:system_r:shorewall_t:s0 key=(null)

Hash: touch,shorewall_t,shorewall_log_t,file,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-08-02 03:36:44 EDT
commit 0a6133763d620b53dff08fae539a19b7ed04fe74
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Aug 2 09:35:53 2013 +0200

    shorewall touches own log
Comment 2 Fedora Update System 2013-08-02 09:29:42 EDT
selinux-policy-3.12.1-69.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-08-02 17:55:08 EDT
Package selinux-policy-3.12.1-69.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-69.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-04 19:00:07 EDT
selinux-policy-3.12.1-69.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.